Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033773
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupminorhave not tried2016-08-23 17:332016-08-31 10:31
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revisione508c5662e33
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033773: Accidental double queries in Initial Client Setup

DescriptionUsing Initial Client setup shows some accidental double queries for
- ad_language table
- ad_dataset table
Steps To Reproducewith debugging code from https://issues.openbravo.com/view.php?id=33767 [^]

With System Administrator role
Run 'Initial Client setup' and let it create the client.
Observe debugging output
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0033767 closedplatform Add code to auto-detect 'accidental double query' on same OBQuery or OBCriteria object 
related to design defect 0036898 newTriage Finance Performance issues when using DAL 

-  Notes
(0089340)
hgbot (developer)
2016-08-24 14:11

Repository: erp/devel/pi
Changeset: e508c5662e3375afcfc4b60e3550fa09d39ab330
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Tue Aug 23 17:34:51 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e508c5662e3375afcfc4b60e3550fa09d39ab330 [^]

Fixed 33773. Avoid double query by not calling .list() twice

First case reading from ad_language can be simplified to single .uniqueResult
call as filters are unique.

2nd case just saves list() result to avoid 2nd call easily.

---
M src/org/openbravo/erpCommon/businessUtility/InitialSetupUtility.java
---
(0089342)
hgbot (developer)
2016-08-24 14:11

Repository: erp/devel/pi
Changeset: 197fb66d7ceaeb08f79963b048986d7e4fa08b5b
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Wed Aug 24 13:51:59 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/197fb66d7ceaeb08f79963b048986d7e4fa08b5b [^]

Issue 33773. Apply review feedback replace .size() >0 with !isEmpty()

---
M src/org/openbravo/erpCommon/businessUtility/InitialSetupUtility.java
---
(0089367)
hudsonbot (developer)
2016-08-24 22:47

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/badbe5df5566 [^]
Maturity status: Test
(0089583)
aferraz (developer)
2016-08-31 10:31

Code review OK

- Issue History
Date Modified Username Field Change
2016-08-23 17:33 shuehner New Issue
2016-08-23 17:33 shuehner Assigned To => Triage Finance
2016-08-23 17:33 shuehner Modules => Core
2016-08-23 17:33 shuehner Triggers an Emergency Pack => No
2016-08-23 17:33 shuehner Relationship added related to 0033767
2016-08-23 17:33 shuehner Tag Attached: Performance
2016-08-24 14:11 hgbot Checkin
2016-08-24 14:11 hgbot Note Added: 0089340
2016-08-24 14:11 hgbot Status new => resolved
2016-08-24 14:11 hgbot Resolution open => fixed
2016-08-24 14:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e508c5662e3375afcfc4b60e3550fa09d39ab330 [^]
2016-08-24 14:11 hgbot Checkin
2016-08-24 14:11 hgbot Note Added: 0089342
2016-08-24 14:13 shuehner Review Assigned To => aferraz
2016-08-24 14:59 shuehner Assigned To Triage Finance => shuehner
2016-08-24 22:47 hudsonbot Checkin
2016-08-24 22:47 hudsonbot Note Added: 0089367
2016-08-31 10:31 aferraz Note Added: 0089583
2016-08-31 10:31 aferraz Status resolved => closed
2016-08-31 10:31 aferraz Fixed in Version => 3.0PR16Q4
2017-09-19 18:47 markmm82 Relationship added related to 0036898


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker